import { type Config } from '@pnpm/config';
import { type CreateStoreControllerOptions } from '@pnpm/store-connection-manager';
import { cliOptionsTypes } from './install';
export declare const rcOptionsTypes: () => {
    'fix-lockfile': BooleanConstructor;
    'resolution-only': BooleanConstructor;
    recursive: BooleanConstructor;
};
export { cliOptionsTypes };
export declare const shorthands: {
    D: string;
    P: string;
};
export declare const commandNames: string[];
export declare function help(): string;
export declare function handler(opts: Pick<Config, 'production' | 'dev'> & CreateStoreControllerOptions): Promise<void>;
